import { FC, ReactNode } from 'react';
import { NativeBase } from 'native-base';
export declare type ButtonTypeProps = 'custom-full' | 'custom' | 'primary' | 'warning' | 'success' | 'transparent' | 'danger';
export declare type ButtonProps = NativeBase.Button & {
    type?: ButtonTypeProps;
    buttonProps?: any;
    iconName?: string;
    textProps?: NativeBase.Text;
    iconProps?: NativeBase.Icon;
    children: ReactNode;
};
export declare const Button: FC<ButtonProps>;
