import { FC, ReactNode } from 'react';
import { ModalProps } from 'react-native';
import { ButtonTypeProps } from '../button/Button';
declare type Props = ModalProps & {
    title: string;
    type?: 'custom';
    message?: string;
    text?: string;
    titleProps?: any;
    textProps?: any;
    buttonText: string;
    buttonType?: ButtonTypeProps;
    onButtonConfirm?: () => void;
    hideDivider?: boolean;
    close?: any;
    children?: ReactNode;
};
export declare const Modal: FC<Props>;
export {};
